> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 리스트 관리

> 리스트를 생성, 수정 및 삭제합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Manage Lists 엔드포인트를 사용하면 인증된 사용자를 대신하여 리스트를 생성, 수정 및 삭제할 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="생성" icon="plus">
    새 리스트 생성
  </Card>

  <Card title="업데이트" icon="pen">
    리스트 이름과 설명 업데이트
  </Card>

  <Card title="삭제" icon="trash">
    리스트 삭제
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                      | Description  |
| :----- | :-------------------------------------------- | :----------- |
| POST   | [`/2/lists`](/ko/x-api/lists/create-list)     | 새 리스트를 생성합니다 |
| PUT    | [`/2/lists/:id`](/ko/x-api/lists/update-list) | 리스트를 업데이트합니다 |
| DELETE | [`/2/lists/:id`](/ko/x-api/lists/delete-list) | 리스트를 삭제합니다   |

***

<div id="example-create-a-list">
  ## 예제: 리스트 생성
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/lists" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Tech News",
    "description": "My favorite tech journalists",
    "private": false
  }'
```

<div id="example-response">
  ## 예시 응답
</div>

```json theme={null}
{
  "data": {
    "id": "1234567890",
    "name": "Tech News"
  }
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project와 App](/ko/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ko/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)를 통한 사용자 액세스 토큰
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/lists/manage-lists/quickstart">
    첫 번째 리스트 만들기
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/lists/manage-lists/integrate">
    핵심 개념과 모범 사례
  </Card>

  <Card title="리스트 멤버" icon="users" href="/ko/x-api/lists/list-members/introduction">
    멤버 추가 및 제거
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/lists/create-list">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
